publish-beta-xandbox:
  stage: publish
  variables:
    ARTIFACTORY_ARTIFACTS_URL: "https://transparentinc.jfrog.io/artifactory/artifacts-internal"
  script:
    - export VERSION=$(cat VERSION.txt)-beta-$CI_PIPELINE_IID
    - export ARTIFACT=package/xandbox_$(cat VERSION.txt).zip
    - export PROPERTIES="job_url=$CI_JOB_URL;branch=$CI_COMMIT_REF_NAME;pipeline_id=$CI_PIPELINE_IID"
    - curl --fail -u$ARTIFACTORY_USER:$ARTIFACTORY_PASS -T $ARTIFACT "$ARTIFACTORY_ARTIFACTS_URL/xandbox/xandbox_$VERSION.zip;$PROPERTIES"
  needs:
    - job: build-beta-xandbox
      artifacts: true
  rules:
    # Publish beta on master
    - if: '$CI_COMMIT_BRANCH == "master"'
      when: on_success
    # Manual job on other branches
    - if: '$CI_COMMIT_BRANCH'
      when: manual
    # Exclude for non-branch pipeline types
    - when: never
  extends:
    - .runner

check-tag:
  stage: build
  only:
    - tags
  extends:
    - .runner
  script:
    - export VERSION=$(cat VERSION.txt)
    - export EXPECTED="v${VERSION}"
    - if [[ ${CI_COMMIT_TAG} != ${EXPECTED} ]] ; then echo "Found ${CI_COMMIT_TAG}. Expected ${EXPECTED}" && exit 1 ; fi

publish-partner-xandbox:
  stage: publish
  variables:
      ARTIFACTORY_ARTIFACTS_URL: "https://transparentinc.jfrog.io/artifactory/artifacts-external"
  script:
    - export VERSION=$(cat VERSION.txt)
    - export ARTIFACT=partner-package/xandbox_$VERSION.zip
    - export PROPERTIES="job_url=$CI_JOB_URL;branch=$CI_COMMIT_REF_NAME;pipeline_id=$CI_PIPELINE_IID"
    - curl --fail -u$ARTIFACTORY_USER:$ARTIFACTORY_PASS -T $ARTIFACT "$ARTIFACTORY_ARTIFACTS_URL/xandbox/partner_xandbox_$VERSION.zip;$PROPERTIES"
  needs:
    - job: build-partner-xandbox
      artifacts: true
    - job: release-partner-xandbox-images
      artifacts: false
    - job: check-tag
      artifacts: false
  only:
    - tags
  extends:
    - .runner


publish-public-xandbox:
  stage: publish
  variables:
      ARTIFACTORY_ARTIFACTS_URL: "https://transparentinc.jfrog.io/artifactory/artifacts-external"
  script:
    - export VERSION=$(cat VERSION.txt)
    - export ARTIFACT=public-package/xandbox_$VERSION.zip
    - export PROPERTIES="job_url=$CI_JOB_URL;branch=$CI_COMMIT_REF_NAME;pipeline_id=$CI_PIPELINE_IID"
    - curl --fail -u$ARTIFACTORY_USER:$ARTIFACTORY_PASS -T $ARTIFACT "$ARTIFACTORY_ARTIFACTS_URL/xandbox/public_xandbox_$VERSION.zip;$PROPERTIES"
  needs:
    - job: build-public-xandbox
      artifacts: true
    - job: release-public-xandbox-images
      artifacts: false
    - job: check-tag
      artifacts: false
  only:
    - tags
  extends:
    - .runner
